# Uses of Interface
com.mockobjects.dynamic.Callable

Packages that use Callable
Package
Description
com.mockobjects.dynamic

## Uses of Callable in com.mockobjects.dynamic

Subinterfaces of Callable in com.mockobjects.dynamic
Modifier and Type
Interface
Description
`interface`
`CallableAddable`
Classes in com.mockobjects.dynamic that implement Callable
Modifier and Type
Class
Description
`class`
`CallBag`
`class`
`CallOnceExpectation`
`class`
`CallSequence`
`class`
`CallSignature`
`class`
`CallStub`
`class`
`ReturnStub`
`class`
`ThrowStub`
`class`
`VoidStub`
Methods in com.mockobjects.dynamic that return Callable
Modifier and Type
Method
Description
`Callable`
CallFactory.`createCallExpectation(Callable call)`
`Callable`
DefaultCallFactory.`createCallExpectation(Callable call)`
`Callable`
CallFactory.`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
`Callable`
DefaultCallFactory.`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
`Callable`
CallFactory.`createReturnStub(Object result)`
`Callable`
DefaultCallFactory.`createReturnStub(Object result)`
`Callable`
CallFactory.`createThrowStub(Throwable throwable)`
`Callable`
DefaultCallFactory.`createThrowStub(Throwable exception)`
`Callable`
CallFactory.`createVoidStub()`
`Callable`
DefaultCallFactory.`createVoidStub()`
Methods in com.mockobjects.dynamic with parameters of type Callable
Modifier and Type
Method
Description
`void`
CallableAddable.`addExpect(Callable call)`
`void`
CallBag.`addExpect(Callable call)`
`void`
CallSequence.`addExpect(Callable call)`
`void`
CallableAddable.`addMatch(Callable call)`
`void`
CallBag.`addMatch(Callable call)`
`void`
CallSequence.`addMatch(Callable call)`
`Callable`
CallFactory.`createCallExpectation(Callable call)`
`Callable`
DefaultCallFactory.`createCallExpectation(Callable call)`
`Callable`
CallFactory.`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
`Callable`
DefaultCallFactory.`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
Constructors in com.mockobjects.dynamic with parameters of type Callable
Modifier
Constructor
Description
``
`CallOnceExpectation(Callable delegate)`
``
`CallSignature(String methodName, ConstraintMatcher constraints, Callable delegate)`